#include <ElegantOTA.h>
#include "config.h"
#include "webserver.h"

void demarrerOTA() {
    ElegantOTA.begin(&server);
    Serial.println("OTA disponible sur http://192.168.4.1/update  (sans authentification)");
}

// Doit être appelé dans loop() pour que l'OTA async fonctionne
void gererOTA() {
    ElegantOTA.loop();
}
